1 Reply Latest reply: Dec 7, 2013 11:19 AM by ChrisJ4203
mrskkhanyile Level 1 (0 points)

i have an i phone 3g i was trying to download whatsapp it says i need to update my phone how do i do that


iPhone 3G
  • ChrisJ4203 Level 8 (47,806 points)

    You cannot. The iPhone 3G will only support up to iOS 4.2.1. The developer of Whatsapp has decided to only support higher iOS devices and no longer offers a version for lower iOS. Your only choices are to upgrade phones (purchase a newer device) or not use whatsapp.